Download it now!
Bug 58577 - Text frame lost when saved as OpenXML (.docx)
Summary: Text frame lost when saved as OpenXML (.docx)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All All
: medium critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-12-20 15:51 UTC by Jim Patterson
Modified: 2013-11-16 22:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original .ODT file with text frame (12.45 KB, application/vnd.oasis.opendocument.text)
2012-12-20 15:51 UTC, Jim Patterson
Details
Same document as before, after saving as .DOCX. Frame is missing. (3.94 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-12-20 15:53 UTC, Jim Patterson
Details
Original .ODT file with text frame (binary this time) (12.45 KB, application/vnd.oasis.opendocument.text)
2012-12-20 15:54 UTC, Jim Patterson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Patterson 2012-12-20 15:51:30 UTC
Created attachment 71861 [details]
Original .ODT file with text frame

A document which contains a text frame seems to lose that frame when the document is saved in OpenXML format (.docx). It still seems visible while the original file is opened, but when the .docx version is reopened, the frame and its contents are no longer visible. They are also not visible when the file is opened in Microsoft Office.

I've attached the original .odt file as well as the .docx file.
Comment 1 Jim Patterson 2012-12-20 15:53:06 UTC
Created attachment 71862 [details]
Same document as before, after saving as .DOCX. Frame is missing.
Comment 2 Jim Patterson 2012-12-20 15:54:02 UTC
Created attachment 71863 [details]
Original .ODT file with text frame (binary this time)
Comment 3 Jorendc 2013-01-25 00:47:59 UTC
Thanks for reporting!

I can reproduce this behavior using Mac OSX 10.8.2 and LibreOffice Version 4.1.0.0.alpha0+ (Build ID: b1d0fd4f969976e2133f8eaa37c1fb8360c20f6)
TinderBox: MacOSX-Intel@1-built_no-moz_on_10.6.8, Branch:master, Time: 2013-01-24_00:28:35

Following https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg I leave bug priority as 'critical' 'medium'. (Loss of data YES -> major components affecting most users NO -> many users also NO). I hope you can agree with this priority traiging?

Kind regards
Comment 4 Kevin Suo 2013-06-28 06:08:08 UTC
This issue still happens in Libreoffice 4.0.4.2 release and Libreoffice 4.1 RC1.

Steps to re-produce:
* Create a new writer document;
* Insert a text frame, and some text.
* Save as OOXML (docx), and reopen.
* The frame does not show up.
* Open with MS OFFICE 2010, the frame shows up with no problem.
Comment 5 Kevin Suo 2013-06-28 06:12:54 UTC
(In reply to comment #4)
> This issue still happens in Libreoffice 4.0.4.2 release and Libreoffice 4.1
> RC1.
> 
> Steps to re-produce:
> * Create a new writer document;
> * Insert a text frame, and some text.
> * Save as OOXML (docx), and reopen.
> * The frame does not show up.
> * Open with MS OFFICE 2010, the frame shows up with no problem.

Please also not that, in libreoffice 4.0.4.2, when insert a shape frame and add some text, save and reopen, the shape still shows up, but the text is missing.
Comment 6 Jorendc 2013-07-01 08:17:53 UTC
@suokunlong: Following https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg I mark this is Critical medium, as I first did.
1) not a regression 
2) not our 'own' document format (ODF), it is docx -> we only can do our 'best approach' on this format
BUT I totally agree there is information loss -> critical.

Also, I partially agree this is a mab3.6, but you only have to place it on 1 MAB-list (the one corresponding with the bug version (in this case mab3.6)

Kind regards,
Joren
Comment 7 Miklos Vajna 2013-07-10 13:56:35 UTC
DOCX export of text frames was completely missing till 4.1. What's more interesting that in case of the attached odt bugdoc, only one frame gets exported. I'll try to have a look at that.
Comment 8 Miklos Vajna 2013-07-10 16:00:13 UTC
Ah, I think I know why -- the code doesn't handle multiple textframes attached to the same paragraph.
Comment 9 Commit Notification 2013-07-11 09:34:40 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5b145a46cd29c9428e6e1894f7b0bb8248a412f

fdo#58577 DOCX export: handle multiple textframes anchored to the same para



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Miklos Vajna 2013-07-11 10:07:03 UTC
Fixed on master, -4-1 review: https://gerrit.libreoffice.org/4826
Comment 11 Commit Notification 2013-07-11 11:36:28 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a10a2940a82c7fb376fc1b5a7c940e0a849e15a&h=libreoffice-4-1

fdo#58577 DOCX export: handle multiple textframes anchored to the same para


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.